print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceolive = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local oliveHudFile = "Paletten/hud_fill_olive.dds"
	local oliveHudFileSmall = "Paletten/hud_fill_olive_small.dds"
	
    local oliveFilType = g_fillTypeManager:addFillType("OLIVE", g_i18n:getText("olive"), true, priceolive * 0.9, 0.00045, math.rad(10), oliveHudFile, oliveHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasolive=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasolive=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "OLIVE" then
		hasolive=true
	end;
		
end;

		if hasmaize and not hasolive then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("OLIVE")
		local price = g_fillTypeManager:getFillTypeByName("OLIVE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("OLIVE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)